Cryload::Threshold::Metric - cryload 6.0.0

# enum Cryload::Threshold::Metric

##
Defined in:

cryload/ci_thresholds.cr

##
Enum Members

P50 = `0`
P75 = `1`
P90 = `2`
P95 = `3`
P99 = `4`
P999 = `5`
Avg = `6`
MaxLatency = `7`
FailRate = `8`
Rps = `9`

##
Instance Method Summary

- #avg?

  Returns `true` if this enum value equals `Avg`

- #fail_rate?

  Returns `true` if this enum value equals `FailRate`

- #flag : String
- #label : String
- #latency? : Bool

  Only latency metrics are affected by coordinated-omission correction; a failure rate or a throughput figure has no send delay to add.

- #max_latency?

  Returns `true` if this enum value equals `MaxLatency`

- #p50?

  Returns `true` if this enum value equals `P50`

- #p75?

  Returns `true` if this enum value equals `P75`

- #p90?

  Returns `true` if this enum value equals `P90`

- #p95?

  Returns `true` if this enum value equals `P95`

- #p999?

  Returns `true` if this enum value equals `P999`

- #p99?

  Returns `true` if this enum value equals `P99`

- #percentile : Float64 | Nil
- #rps?

  Returns `true` if this enum value equals `Rps`

##
Instance Method Detail

def avg? #

Returns `true` if this enum value equals `Avg`

def fail_rate? #

Returns `true` if this enum value equals `FailRate`

def flag : String #
def label : String #
def latency? : Bool #

Only latency metrics are affected by coordinated-omission correction; a failure rate or a throughput figure has no send delay to add.

def max_latency? #

Returns `true` if this enum value equals `MaxLatency`

def p50? #

Returns `true` if this enum value equals `P50`

def p75? #

Returns `true` if this enum value equals `P75`

def p90? #

Returns `true` if this enum value equals `P90`

def p95? #

Returns `true` if this enum value equals `P95`

def p999? #

Returns `true` if this enum value equals `P999`

def p99? #

Returns `true` if this enum value equals `P99`

def percentile : Float64 | Nil #
def rps? #

Returns `true` if this enum value equals `Rps`